<?php
class DatosPersonalesFormStep extends MultiFormStep {

    public static $next_steps = 'OfertasObligatoriasFormStep';

    function getFields() {
Requirements::javascript('jsparty/jquery/jquery.js');
Requirements::customScript(<<<JS
	      				jQuery(document).ready(function() {
                                                           if (jQuery(':checkbox').size() == 1) { jQuery(':checkbox').attr('checked', true);}                                                          
});                                                                           	    
JS
	  	        );
      $usuario = new UsuarioBtMalaga();
      return $usuario->camposFormularioRegistro();
    }

    function getValidator() {
      $usuario = new UsuarioBtMalaga();
      return $usuario->validadorFormularioRegistro();
    }

}
?>